Bug 222484 - ip.sh does not fail during 'start' phase if link is unplugged
ip.sh does not fail during 'start' phase if link is unplugged
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2007-01-12 15:51 EST by Lon Hohberger
Modified: 2010-10-22 03:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0580
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-07 11:45:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2007-01-12 15:51:59 EST
Description of problem:

The status check fails, but restart succeeds, causing infinite fail->restart
loop instead of failover.

How reproducible: 100%

Steps to Reproduce:
1. Make a service with an IP
2. Start service
3. unplug NIC

Actual results: Successful restart.  Failed status check.  Rinse, repeat.

Expected results:  Failover after fail-to-restart.

Additional info:

Fixed in RHCS4.  Patch is:

Index: rgmanager/src/resources/ip.sh
RCS file: /cvs/cluster/cluster/rgmanager/src/resources/ip.sh,v
retrieving revision 1.21
diff -u -r1.21 ip.sh
--- rgmanager/src/resources/ip.sh	2 Jun 2006 17:37:10 -0000	1.21
+++ rgmanager/src/resources/ip.sh	12 Jan 2007 20:51:22 -0000
@@ -884,6 +884,9 @@
 		exit 0
 	ip_op ${OCF_RESKEY_family} add ${OCF_RESKEY_address}
+	if [ $? -ne 0 ]; then
+	fi
 	if [ $NFS_TRICKS -eq 0 ]; then
 		if [ "$OCF_RESKEY_nfslock" = "yes" ] || \
Comment 2 Lon Hohberger 2007-01-26 15:47:37 EST
Fixes in head, RHEL5, and STABLE now too.
Comment 5 Kiersten (Kerri) Anderson 2007-04-23 13:26:00 EDT
Fixing Product Name.  Cluster Suite was integrated into the Enterprise Linux for
version 5.0.
Comment 7 RHEL Product and Program Management 2007-05-01 13:35:29 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 9 Lon Hohberger 2007-06-29 13:18:03 EDT
This is most easily tested on a node with two or more NICs, preferably on
separate networks.  It can be tested without the cluster software running using
rg_test or simple manual testing, as well:

Unplug NIC.  Assuming is on the same subnet as your NIC in question, try:

OCF_RESKEY_address="" /usr/share/cluster/ip.sh start
echo $?

On 5.0 GA, $? would be 0.
On 5.0.z and 5.1 $? should be 1.

Comment 12 errata-xmlrpc 2007-11-07 11:45:30 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.